Bug 610756 - cluster-url option
Summary: cluster-url option
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference   
(Show other bugs)
Version: beta
Hardware: All
OS: Linux
low
medium
Target Milestone: Next Errata
: ---
Assignee: Alison Young
QA Contact: ppecka
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 11:43 UTC by ppecka
Modified: 2012-09-21 12:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 23:20:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lbrindle: needinfo-


Attachments (Terms of Use)

Description ppecka 2010-07-02 11:43:02 UTC
Description of problem:
cluster-url option bahaviour has changed


Version-Release number of selected component (if applicable):
1.3
  
Actual results:
The URL is of the form amqp:tcp:<host>:<port>[,tcp:<host>:<port> ...]

Expected results:
proper form, but better to be checked with dev-team because this differs from AMQP-spec 
<amqp:><tcp:>host<:port>[,<tcp:>host<:port> ...]


Additional info:
see bug 509454

Comment 2 ppecka 2010-08-30 12:23:03 UTC
I'm requesting change here because of commit listed at https://bugzilla.redhat.com/show_bug.cgi?id=509454#c3 changed way how qpidd deals with passed cluster URLs. https://bugzilla.redhat.com/show_bug.cgi?id=509454#c6 and this differs from amqp spec. 


For additional info: see bug 509454.


MRG Messaging User Guide
Chapter 
7.1. Starting a Broker in a Cluster
Table 7.1. Options for High Availability Messaging Cluster

===cut===
The URL is of the form
amqp:tcp:<host>:<port>[,tcp:<host>:<port> ...]
it contains one or more addresses that can be
used to reach the broker. In most cases, only
one address is advertized, but more than one
address can be specified if the machine running
the broker has more than one network interface
card, and you want to allow clients to connect
using multiple network interfaces. Examples:
• amqp:tcp:192.168.1.103:5672
   advertizes a single address to the broker for
   failover.
• amqp:tcp:192.168.1.103:5672,tcp:192.168.1.10
   advertizes two different addresses to the
   broker for failover, on two different network
   interfaces.
===cut===

Comment 3 Jonathan Robie 2010-08-31 21:15:32 UTC
Fix checked in. Will be visible in next build.

Comment 4 ppecka 2010-11-07 21:50:02 UTC
[RFE] it might be beneficial to break this long line into smaller chunks for better readability( in html view it's the longest line in whole document)

url = ["amqp:"][ user ["/" password] "@" ] protocol_addr *("," protocol_addr) 
protocol_addr = [ tcp_addr | rmda_addr | ssl_addr ] 
tcp_addr = ["tcp:"] host [":" port] 
rdma_addr = "rdma:" host [":" port] 
ssl_addr = "ssl:" host [":" port] 

[RFE] isn't asterisk better be placed right after ("," protocol_addr) rather then before - in case it's regexp notation

[RFE] can you please add note of which defaults are used in case when cluster url is specified only with hostname --cluster-url "hostname"

Comment 5 Lana Brindley 2011-02-03 00:17:50 UTC
ppecka,

Is Jonathan's fix suitable? If so, please close this bug.

LKB

Comment 6 ppecka 2011-02-03 06:38:45 UTC
(In reply to comment #5)
> ppecka,
> 
> Is Jonathan's fix suitable? If so, please close this bug.
> 
> LKB

i'm waiting for response to comment #4 from Jonathan

Comment 7 Lana Brindley 2011-02-03 07:01:19 UTC
ppecka, Jonathan is no longer working on documentation. 

Gordon, are you able to provide this information?

LKB

Comment 8 Gordon Sim 2011-02-03 09:36:46 UTC
It certainly should be broken into multiple lines as per comment #4. The grammar is ABNF and the separate lines are important to clarity.

The asterisk should precede the repeating element, so that should not be changed.

If the protocol is not specified for an address it is assumed to be tcp. If the port is not specified it is assumed to be 5672.

Comment 10 ppecka 2011-07-18 13:59:54 UTC
all requirements of this BZ are satisfied --> VERIFIED

Comment 11 Alison Young 2011-07-18 23:20:59 UTC
Thanks, closing for current release.


Note You need to log in before you can comment on or make changes to this bug.